Gecode::Iter::Ranges::RangeListIter::RangeList Class Reference

Range list class. More...

`#include <ranges-list.hpp>`

## Public Attributes

int | min
| Minimum and maximum of a range.
int | max
RangeList * | next
| Next element.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Support::BlockClient< RangeList, Region >
static void * | operator new (size_t s, BlockAllocator< RangeList, Region, 512 > &ba)
| Allocate memory from block allocator ba.
static void | operator delete (void *, BlockAllocator< RangeList, Region, 512 > &ba)
| Noop (memory freed only when block allocator deleted).

## Detailed Description

Range list class.

Definition at line 44 of file ranges-list.hpp.

## Member Data Documentation

## min

int Gecode::Iter::Ranges::RangeListIter::RangeList::min

Minimum and maximum of a range.

Definition at line 47 of file ranges-list.hpp.

## max

int Gecode::Iter::Ranges::RangeListIter::RangeList::max

Definition at line 47 of file ranges-list.hpp.

## next

RangeList* Gecode::Iter::Ranges::RangeListIter::RangeList::next

Next element.

Definition at line 49 of file ranges-list.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-list.hpp